package beans;

public class Osoba {
	private String imie, nazwisko;
	private int wiek;
	
	// istnieje automatycznie generowany konstruktor domyślny, nie zmieniamy tego

	public String getImie() {
		return imie;
	}
	public void setImie(String imie) {
		this.imie = imie;
	}
	public String getNazwisko() {
		return nazwisko;
	}
	public void setNazwisko(String nazwisko) {
		this.nazwisko = nazwisko;
	}
	public int getWiek() {
		return wiek;
	}
	public void setWiek(int wiek) {
		this.wiek = wiek;
	}
	
	// Metoda wygląda jak getter, ale nie odczytuje jednej zmiennej, tylko coś "wylicza"
	public String getOpis() {
		return "Osoba o imieniu " + imie + " i nazwisku " + nazwisko + " ma " + wiek + " lat.";
	}
	
	@Override
	public String toString() {
		return "Osoba " + imie + " " + nazwisko + " (" + wiek + " lat)";
	}
}
